Comment faire fonctionner AEOTEC Zstick Gen 5 et RPI4B

Si vous avez suivit ce post : passage-dun-raspberry-pi-3b-a-un-raspberry-pi-4b, vous avez du voir que j’avais des difficultés à relancer Z-Wave JS avec Z-Wave Z-Stick GEN5 d’AEOTEC

Le probleme est connu : https://www.home-assistant.io/docs/z-wave/controllers/

Je l’avais branché sur le port USB 2, USB 3 puis sur un hub anker alimenté, toujours le même problème…

En désespoir de cause, je branche la clé sur un hub anker usb3 non alimenté sur un port USB2 sur raspberry pi 4 et là !!! Ca fonctionne ! après avoir redémarré l’add-on Z-Wave JS et redémarré home assistant :innocent:

Le Hub en question :

En espérant que ça fonctionne pour ce ayant le même soucis :sleepy:

Voici ma config:

System Health

version core-2021.2.3
installation_type Home Assistant OS
dev false
hassio true
docker true
virtualenv false
python_version 3.8.7
os_name Linux
os_version 5.4.83-v8
arch aarch64
timezone Europe/Paris
Home Assistant Community Store
GitHub API ok
Github API Calls Remaining 4167
Installed Version 1.11.3
Stage running
Available Repositories 815
Installed Repositories 53
Home Assistant Cloud
logged_in false
can_reach_cert_server ok
can_reach_cloud_auth ok
can_reach_cloud ok
Hass.io
host_os Home Assistant OS 5.12
update_channel stable
supervisor_version supervisor-2021.02.11
docker_version 19.03.13
disk_total 116.7 GB
disk_used 7.9 GB
healthy true
supported true
board rpi4-64
supervisor_api ok
version_api ok
installed_addons Samba share (9.3.0), Duck DNS (1.12.5), Visual Studio Code (3.1.0), InfluxDB (4.0.3), deCONZ (6.7.2), File editor (5.2.0), Home Assistant Google Drive Backup (0.103.1), Terminal & SSH (9.0.1), Check Home Assistant configuration (3.6.0), Log Viewer (0.9.1), ESPHome (1.16.2), Node-RED (8.1.2), Grocy (0.11.0), Z-Wave JS (0.1.7), Spotify Connect (0.8.2), Glances (0.11.1), Grafana (6.1.2)
Lovelace
dashboards 4
resources 32
views 42
mode storage
2 J'aime

Merci pour ton feedback sur cette clé

c’est vrai que les ancien modèles ont quelques problème avec les RPI4

il est possible pour certains modèles de faire une mise à jours pour la rendre compatible avec le RPI4 sans devoir passer par un hub :slight_smile:

J’utilise un petit hub non alimenté, code produit Amazon : B003M0NURK
Aucun problème depuis le début (octobre dernier)
Dessus j’y ai aussi une clé Conbee II

TheD6Bel, peux-tu en dire plus stp ? Sais-tu comment mettre à jour la clé ? J’ai la mienne depuis l’été dernier.

Tu veux faire la mise à jour de la conbee ou de la zwave aeotec ?

C’est la Aeotec qui a un problème connu en USB3 sur le Pi4, donc celle ci :o

Mille excuse car je n’avais pas vue :frowning:

tu as un petit tuto sur le site US

mais tu devras passer par une étape d’inscription avant de pouvoir télécharger la mise a jours car elle n’est plus dispo en libre accès

le dernier firmware se trouve ici
https://siliconlabs.force.com/s/validatezwsdk?ContentId=0681M000006WUzV%20&ContentType=SDK&rURL=https%3A//www.silabs.com/products/development-tools/software/z-wave/embedded-sdk.html

d’autres postes sur d’autres forums

Bonne lecture :wink:

Qu’apporte la maj de la clé aeotec gen 5?
La mienne doit avoir 4 ans et tourne pour le moment toujours sur mon Domoticz / synology (bientôt la bascule vers HASS.IO / Syno).

certaine clé ne fonctionne pas si tu les connecte directement sur un RPI4, la mise à jours corrige se problème :wink:

l’autre solution c’est de passer par un hub

TheD6Bel, pas de soucis, merci ! :slight_smile: